/*----------------------------------------*/
header{
	display: flex;
	justify-content: space-between;
	width: 100%;
  padding: 
  clamp(40px, calc(16 * var(--vw-rate)), 48px)
  var(--space-60)
  clamp(12px, calc(16 * var(--vw-rate)), 16px);
  height: initial;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;
  transition: .5s;
}
/*上スクロール表示、下スクロール非表示用*/
/* header.scroll{
  transform: translateY(-100%);
} */

header.scroll{
  background: rgba(0, 0, 0, 0.8);
  padding: 
  clamp(12px, calc(16 * var(--vw-rate)), 16px)
  var(--space-60)
  clamp(12px, calc(16 * var(--vw-rate)), 16px);
}
@media screen and (max-width: 1080px) {
  header{
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: var(--space-40);
    height: 64px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    transition: .5s;
  }
  header.scroll{
    background: rgba(0, 0, 0, 0.8);
    padding: 0 var(--space-40);
    height: 64px;
  }
}
/*----------------------------------------*/
.l-logo{
  display: flex;
  align-items: center;
}
.l-logo__img{
  display: flex;
  align-items: center;
  gap: 12px;
}
.l-logo__img .mark{width: clamp(58px, calc(90 * var(--vw-rate)), 90px);transition: width .6s;}
.l-logo__img .type{width: clamp(180px, calc(276 * var(--vw-rate)), 276px);transition: width .6s;}
@media screen and (max-width: 1080px) {
  .l-logo{
    padding-right: 60px;
  }
  header.scroll .l-logo__img .mark{width: clamp(58px, calc(60 * var(--vw-rate)), 60px);}
  header.scroll .l-logo__img .type{width: clamp(180px, calc(220 * var(--vw-rate)), 220px);}
}
/*----------------------------------------*/
.l-gnav__bg{
  display: flex;
  align-items: center;
}
.l-gnav{
	display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  flex-direction: column-reverse;
}
@media screen and (max-width: 1080px) {
  .l-gnav {
    display: none;
    position: fixed;
    width: 100vw;
    max-width: 560px;
    height: calc(100dvh - var(--header-hight));
    max-height: 100dvh;
    background-color: var(--color-tertiary);
    top: var(--header-hight);
    right: 0;
    padding: 20px;
    overflow-y: auto;
    background: var(--color-black);
    font-size: 16px;
  }
}
@media screen and (max-width: 560px) {
  .l-gnav {
    width: 100vw;
    height: auto;
    max-height: 80dvh;
  }
}
/*----------------------------------------*/
.l-gnav__main{
	display: flex;
  align-items: center;
  gap: var(--space-40);
}
.l-gnav__item{
  font-weight: 700;
}
.l-gnav__item a:hover{
  text-decoration: none;
}
.l-gnav__main .l-gnav__item a{
  display: block;
  padding-bottom: .4em;
}
.l-gnav__main .l-gnav__item > a{
  position: relative;
  display: block;
  height: initial;
  color: var(--color-white);
}
.l-gnav__main .l-gnav__item > a.under::after{
  content: "";
  width: 0;
  height: 2px;
  background: var(--color-white);
  position: absolute;
  left: 0;
  bottom: -1px;
  transition: all .3s;
}
.l-gnav__main .l-gnav__item > a.under:hover::after{
  width: 100%;
}
@media screen and (max-width: 1200px) {
  .l-gnav__main{
    gap: 16px;
  }
  .l-gnav__item{
    font-size: 14px;
  }
}
@media screen and (max-width: 1080px) {
  .l-gnav__main{
    display: flex;
    flex-direction: column;
    gap: 16px;
  }
  .l-gnav__item {
    display: block;
    border-bottom: 1px solid var(--color-gray01);
    padding-bottom: 16px;
    font-size: var(--fs-18);
    width: 100%;
  }
  .l-gnav__item:last-child {
    border-bottom: none;
  }
  .l-gnav__main .l-gnav__item > a{
    height: auto;
    padding: 0;
  }
  .l-gnav__main .l-gnav__item > a.under:hover::after{
    display: none;
  }
}
/*----------------------------------------*/
.l-gnav__current.current{
  font-weight: 700;
  color: var(--color-primary) !important;
}
.l-gnav__main .l-gnav__item > a.l-gnav__current.current::after{
  width: 100%;
}
@media screen and (max-width: 1080px) {
  .l-gnav__main .l-gnav__item > a.l-gnav__current.current::after{
    width: 0;
  }
}
/*----------------------------------------*/
.l-gnav__sub{
	display: flex;
  justify-content: flex-end;
  margin-bottom: 8px;
}
.l-gnav__sub > li{
	font-size: 0.8em;
}
.l-gnav__sub > .l-gnav__item{
  display: flex;
  align-items: center;
}
@media screen and (max-width: 1080px) {
  .l-gnav__sub{
    flex-wrap: wrap;
    justify-content: flex-start;
    margin: 20px 0 0 0;
  }
  .l-gnav__sub > li{
    font-size: 0.9em;
  }
  .l-gnav__sub > .l-gnav__item{
    width: calc(50% - 10px);
    border-right: 1px solid var(--color-secondary);
    padding-right: 1em;
    margin-right: 20px;
  }
  .l-gnav__sub > .l-gnav__item:nth-child(2n){
    margin-right: 0;
  }
  .l-gnav__sub > .l-gnav__item a{
    display: block;
    width: 100%;
  }
  .l-gnav__sub > .l-gnav__item:has( > .p-sns__link){
    border: none;
    margin-right: 0;
    width: 100%;
  }
  .l-gnav__sub > .l-gnav__item:has( > .p-search__area){
    border: none;
    margin-right: 0;
    width: 100%;
  }
}

/*----------------------------------------*/
#navbtn {
  display: none;
}
@media screen and (max-width: 1080px) {
  #navbtn {
    position: absolute;
    right: 0;
    top: 0;
    padding: 0;
    outline: none;
    border: none;
    background: none;
    width: 64px;
    height: 64px;
    cursor: pointer;
    display: inline-block;
    z-index: 999;
    transition: .3s;
    padding: 0 20px;
    background: var(--color-white);
  }
  #navbtn:before, #navbtn:after {
    content: "";
    display: block;
    height: 2px;
    background-color: var(--color-black);
    transform: translateY(0);
    transition: 0.3s ease-in-out;
  }
  #navbtn:before {
    transform: translateY(-14px);
    box-shadow: 0 8px var(--color-black);
  }
  #navbtn > span {
    position: absolute;
    right: 0;
    left: 0;
    bottom: 10px;
    margin: auto;
    font-size: 0.8em;
    line-height: 1;
    text-align: center;
    color: var(--color-black);
  }
}
@media screen and (max-width: 1080px) {
  .menuopen {
    overflow: hidden;
  }
  .menuopen body {
    overflow: hidden;
  }
  .menuopen #navbtn:before {
    transform: translateY(-2px) rotate(-45deg);
    box-shadow: none;
  }
  .menuopen #navbtn:after {
    transform: translateY(-4px) rotate(45deg);
    box-shadow: none;
  }
}
#menu__overlay {
  display: none;
  background-color: rgba(0, 0, 0, 0.3);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 50;
}

/*====================================================================
print
====================================================================*/
@media print {
  header {
    position: absolute;
	}
}